import org.junit.Test;
import static org.junit.Assert.*;
import junit.framework.JUnit4TestAdapter;

public class StringUtilsTest {
	@Test
	public void testReverse() {
		assertEquals( "", StringUtils.reverse( "" ) );
		assertEquals( "cba", StringUtils.reverse( "abc" ) );
	}

	@Test
	public void testReverse2() {
		assertEquals( "def", StringUtils.reverse( "fed" ) );
	
		try {
			StringUtils.reverse( null );
			fail( "reverse(null) should throw" +
				" IllegalArgumentException" );
		} catch ( IllegalArgumentException e ) { }

	}

	@Test( expected = IllegalArgumentException.class )
	public void testReverseException() {
			StringUtils.reverse( null );
	}

}
