import org.junit.Test;
import org.junit.Rule;
import org.junit.runner.RunWith;
import org.junit.runners.JUnit4;
import static org.junit.Assert.*;
import junit.framework.JUnit4TestAdapter;
// import junit.framework.TestCase; // JUnit 3 

@RunWith(JUnit4.class)
public class StringUtilsTest4 {
	// um Test mit JUnit 3.8 TestRunner auszuführen
	public static junit.framework.Test suite() {
      		return new JUnit4TestAdapter(StringUtilsTest.class);
    	}


	// JUnit 3 erwartet Test-Methodem mit Prefix test...
	// wir wollen JUnit 4 verwenden
	@Test
	public void testReverse() {
		assertEquals( "", StringUtils.reverse( "" ) );
		assertEquals( "cba", StringUtils.reverse( "abc" ) );

		try {
			StringUtils.reverse( null );
			fail( "reverse(null) should throw" +
				" IllegalArgumentException" );
		} catch ( IllegalArgumentException e ) { }

	}
}
