import junit.framework.TestCase; // JUnit 3 
import org.junit.Test;

public class StringUtilsTest3 extends TestCase {

	// JUnit 3 erwartet Test-Methodem mit Prefix test...
	public void testReverse() {
		assertEquals( "", StringUtils.reverse( "" ) );
		assertEquals( "cba", StringUtils.reverse( "abc" ) );
		assertEquals( "def", StringUtils.reverse( "fed" ) );
	}

	public void testReverse2() {
		assertEquals( "def", StringUtils.reverse( "fed" ) );
	
		try {
			StringUtils.reverse( null );
			fail( "reverse(null) should throw" +
				" IllegalArgumentException" );
		} catch ( IllegalArgumentException e ) { }
	}

}
